cURL
curl --request GET \
--url https://integration.fatorly.com/v1/invoices \
--header 'X-Api-Key: <api-key>'import requests
url = "https://integration.fatorly.com/v1/invoices"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://integration.fatorly.com/v1/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"invoiceNumber": "<string>",
"status": "Draft",
"direction": "Outbound",
"documentType": "Invoice",
"issueDate": "<string>",
"currency": "<string>",
"sellerName": "<string>",
"buyerName": "<string>",
"totalNetAmount": 123,
"totalVatAmount": 123,
"totalPayableAmount": 123,
"links": {
"self": "<string>"
}
}
],
"nextCursor": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>",
"errors": "<array>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>",
"errors": "<array>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>",
"errors": "<array>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>",
"errors": "<array>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"traceId": "<string>",
"errors": "<array>"
}Invoices
Get v1invoices
GET
/
v1
/
invoices
cURL
Authorizations
Your fat_… integration key. Create one in Settings → Integrations → API Keys.
Query Parameters
⌘I